#
# Conditional build:
%bcond_without	static_libs # don't build static libraries
#
Summary:	Library to create and read several different archive formats
Summary(pl.UTF-8):	Biblioteka do tworzenia i odczytu różnych formatów archiwów
Name:		libarchive
Version:	3.1.2
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://www.libarchive.org/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	efad5a503f66329bb9d2f4308b5de98a
Patch0:		%{name}-man_progname.patch
URL:		http://www.libarchive.org/
BuildRequires:	acl-devel
BuildRequires:	attr-devel
#BuildRequires:	autoconf >= 2.65
#BuildRequires:	automake
BuildRequires:	bzip2-devel
# for <ext2fs/ext2_fs.h>
BuildRequires:	e2fsprogs-devel
#BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	lzo-devel >= 2
BuildRequires:	nettle-devel
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libarchive is a programming library that can create and read several
different streaming archive formats, including most popular TAR
variants and several CPIO formats. It can also write SHAR archives.

%description -l pl.UTF-8
Libarchive jest biblioteką służacą to tworzenia i odczytu wielu
różnych strumieniowych formatów archiwów, włączając w to popularne
odmiany TAR oraz wiele formatów CPIO. Biblioteka ta potrafi także
zapisywać archiwa SHAR.

%package devel
Summary:	Header files for libarchive library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libarchive
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	acl-devel
Requires:	attr-devel
Requires:	bzip2-devel
Requires:	libxml2-devel
Requires:	nettle-devel
Requires:	xz-devel
Requires:	zlib-devel

%description devel
Header files for libarchive library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libarchive.

%package static
Summary:	Static libarchive library
Summary(pl.UTF-8):	Statyczna biblioteka libarchive
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libarchive library.

%description static -l pl.UTF-8
Statyczna biblioteka libarchive.

%package -n bsdcpio
Summary:	bsdcpio - cpio(1) implementation based on libarchive
Summary(pl.UTF-8):	bsdcpio - implementacja programu cpio(1) oparta na libarchive
Group:		Applications/Archiving
Requires:	%{name} = %{version}-%{release}

%description -n bsdcpio
bsdcpio - cpio(1) implementation based on libarchive.

%description -n bsdcpio -l pl.UTF-8
bsdcpio - implementacja programu cpio(1), oparta na libarchive.

%package -n bsdtar
Summary:	bsdtar - tar(1) implementation based on libarchive
Summary(pl.UTF-8):	bsdtar - implementacja programu tar(1) oparta na libarchive
Group:		Applications/Archiving
Requires:	%{name} = %{version}-%{release}

%description -n bsdtar
bsdtar - tar(1) implementation based on libarchive.

%description -n bsdtar -l pl.UTF-8
bsdtar - implementacja programu tar(1), oparta na libarchive.

%prep
%setup -q
%patch0 -p1

%build
#%%{__libtoolize}
#%%{__aclocal}
#%%{__autoconf}
#%%{__autoheader}
#%%{__automake}
%configure \
	--disable-silent-rules \
	--enable-bsdcpio=shared \
	--enable-bsdtar=shared \
	--enable-static%{!?with_static_libs:=no}
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libarchive.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libarchive.so.13

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libarchive.so
%{_libdir}/libarchive.la
%{_includedir}/archive*.h
%{_mandir}/man3/archive_*.3*
%{_mandir}/man3/libarchive.3*
%{_mandir}/man3/libarchive_changes.3*
%{_mandir}/man3/libarchive_internals.3*
%{_mandir}/man5/libarchive-formats.5*
%{_mandir}/man5/cpio.5*
%{_mandir}/man5/mtree.5*
%{_mandir}/man5/tar.5*
%{_pkgconfigdir}/libarchive.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libarchive.a
%endif

%files -n bsdcpio
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bsdcpio
%{_mandir}/man1/bsdcpio.1*

%files -n bsdtar
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bsdtar
%{_mandir}/man1/bsdtar.1*
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libarchive.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b0c4a98
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jun 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 92d2b5a
- updated to 3.1.2

* Sun May 12 2013 Elan Ruusamäe <glen@delfi.ee> ef8c2e9
- up to 3.0.4, it has new home

* Sat Jul 07 2012 hawk <hawk@pld-linux.org> 61c0813
- release 2

* Sat Jan 14 2012 Jakub Bogusz <qboosh@pld-linux.org> a4b44c5
- updated to 3.0.3

* Mon Jan 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 1266712
- updated to 3.0.2 (note: new soname)
- nettle is now prefered over openssl and covers md5 (instead of libmd5; upstream change)
- build bsdcpio and bsdtar dynamically linked with libarchive even if libarchive.a is built

* Mon Sep 05 2011 Łukasz Kieś <kiesiu@pld-linux.org> d3dab90
- updated to 2.8.5

* Sun Dec 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f69e771
- release 4

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 91b9345
- release 3

* Wed Nov 10 2010 Jakub Bogusz <qboosh@pld-linux.org> c2f290c
- download URL
- verbose include/man files

* Fri Oct 29 2010 hawk <hawk@pld-linux.org> 59f2ec2
- release 2

* Mon Aug 09 2010 Marcin Banasiak <marcin.banasiak@gmail.com> d3779a6
- updated for 2.8.4

* Mon Aug 09 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 92831ec
- updated to 2.8.4
- added bsdcpio package

* Wed May 19 2010 sparky <sparky@pld-linux.org> 8c72e90
- release: 4 (STBR, because of missing R)
- BR: libmd5-devel, libxml2-devel, openssl-devel, xz-devel
- dropped unused BR: sharutils
- devel R: openssl-devel, xz-devel

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a0f60d2
- release 3

* Sun Mar 28 2010 shadzik <shadzik@pld-linux.org> b31ccf8
- rel 2

* Sun Mar 28 2010 shadzik <shadzik@pld-linux.org> a9796dc
- 2.8.3

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 390c096
- drop obsolete files

* Tue Jun 09 2009 amateja <amateja@pld-linux.org> 39a71c7
- updated to 2.6.0

* Mon Jun 09 2008 Elan Ruusamäe <glen@pld-linux.org> 7fc4dae
- release 2

